/**
 * @param {string} specifier
 * @param {{
 *   conditions: !Array<string>,
 *   parentURL: !(string | undefined),
 * }} context
 * @param {Function} defaultResolve
 * @returns {Promise<{ url: string }>}
 */
export function resolve(specifier: string, context: {
    conditions: Array<string>;
    parentURL: (string | undefined);
}, defaultResolve: Function): Promise<{
    url: string;
}>;
/**
 * @param {string} url
 * @param {Object} context
 * @param {Function} defaultGetFormat
 * @returns {Promise<{ format: string }>}
 */
export function getFormat(url: string, context: Object, defaultGetFormat: Function): Promise<{
    format: string;
}>;
/**
 * @param {!(string | SharedArrayBuffer | Uint8Array)} source
 * @param {{
 *   format: string,
 *   url: string,
 * }} context
 * @param {Function} defaultTransformSource
 * @returns {Promise<{ source: !(string | SharedArrayBuffer | Uint8Array) }>}
 */
export function transformSource(source: (string | SharedArrayBuffer | Uint8Array), context: {
    format: string;
    url: string;
}, defaultTransformSource: Function): Promise<{
    source: (string | SharedArrayBuffer | Uint8Array);
}>;
//# sourceMappingURL=babel-register-esm.d.ts.map